Bug 1158971 - RFE: python-falcon: Please branch for EPEL7
Summary: RFE: python-falcon: Please branch for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-falcon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1185409
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 15:32 UTC by Haïkel Guémar
Modified: 2016-08-16 19:48 UTC (History)
3 users (show)

Fixed In Version: python-falcon-1.0.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 19:48:22 UTC
Type: Bug
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Haïkel Guémar 2014-10-30 15:32:39 UTC
We need this dependency for RDO on EL7 (openstack-zaqar).
If you have no interest in maintaining the EPEL7 branch, I'd happy to.

Comment 1 Jamie Lennox 2014-10-31 09:08:03 UTC
Package Change Request
======================
Package Name: python-falcon
New Branches: epel7
Owners: jamielennox

Comment 2 Gwyn Ciesla 2014-11-03 14:07:06 UTC
Git done (by process-git-requests).

Comment 3 Haïkel Guémar 2014-11-04 07:57:38 UTC
epel7 branch not created, I pulled the repository and it's not there, please check it.

https://admin.fedoraproject.org/pkgdb/package/python-falcon/

Comment 4 Gwyn Ciesla 2014-11-05 12:17:04 UTC
Git done (by process-git-requests).

Comment 5 Carl George 2015-03-18 13:40:06 UTC
The version of python-six in EL7 is too old.  Falcon needs six to at least be at version 1.4.0.  That is the version that introduces the variable six.PY2, which is used several times in falcon.  Here is the bug requesting six get an update.

https://bugzilla.redhat.com/show_bug.cgi?id=1185409

Comment 7 Fedora Update System 2016-05-24 20:32:39 UTC
python-falcon-1.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ec6770b826

Comment 8 Fedora Update System 2016-05-26 11:47:36 UTC
python-falcon-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ec6770b826

Comment 9 Fedora Update System 2016-08-16 19:48:20 UTC
python-falcon-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.